Bug 197069 - emulators/bochs: Update to 2.6.7, take maintainership
Summary: emulators/bochs: Update to 2.6.7, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-01-25 12:36 UTC by Anton Törnqvist
Modified: 2015-01-31 09:50 UTC (History)
2 users (show)

See Also:


Attachments
bochs2.6.7diff (1.82 KB, patch)
2015-01-25 12:36 UTC, Anton Törnqvist
no flags Details | Diff
poudriere-buildlog-10amd64-bochs (110.82 KB, text/plain)
2015-01-25 12:37 UTC, Anton Törnqvist
no flags Details
fixedbochs2.6.7diff (2.87 KB, text/plain)
2015-01-26 21:48 UTC, Anton Törnqvist
no flags Details
poudriere-buildlog-10amd64-bochs_2 (448.77 KB, text/plain)
2015-01-26 21:49 UTC, Anton Törnqvist
no flags Details
newbochs2.6.7diff (5.52 KB, patch)
2015-01-28 12:15 UTC, Anton Törnqvist
no flags Details | Diff
poudriere-buildlog-10amd64-bochs_3 (448.20 KB, text/plain)
2015-01-28 12:16 UTC, Anton Törnqvist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Törnqvist 2015-01-25 12:36:33 UTC
Created attachment 152128 [details]
bochs2.6.7diff
Comment 1 Anton Törnqvist 2015-01-25 12:37:10 UTC
Created attachment 152129 [details]
poudriere-buildlog-10amd64-bochs
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-25 12:39:33 UTC
Thanks for offering to take maintainership Anton. Also, great quality issue reports, keep up the good work!
Comment 3 Thomas Zander freebsd_committer 2015-01-25 21:43:07 UTC
This does not build with all OPTIONS selected, could you take a look?

From the log:
 c++ -c -I.. -I../.. -I./.. -I./../.. -I../../instrument/stubs -I./../../instrument/stubs -O2 -pipe -fno-exceptions -fomit-frame-pointer -I/usr/local/include -fstack-protector -fno-strict-aliasing -fno-rtti -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_THREAD_SAFE -I/usr/local/include/SDL -I/usr/local/include -D_GNU_SOURCE=1 -D_REENTRANT -D_THREAD_SAFE -I/usr/local/include -I/usr/local/lib/wx/include/gtk2-ansi-release-2.8 -I/usr/local/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread -D_THREAD_SAFE -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -D_THREAD_SAFE -I/usr/local/include/gdk-pixbuf-2.0 -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/libpng16 soundsdl.cpp  -fPIC -DPIC -o .libs/soundsdl.o
/bin/sh ../../libtool --mode=link --tag CXX c++ -module soundmod.lo soundlnx.lo soundsdl.lo -o libbx_soundmod.la -rpath /usr/local/lib -L/usr/local/lib -Wl,-rpath,/usr/local/lib -lSDL -pthread 
c++ -shared -nostdlib /usr/lib/crti.o /usr/lib/crtbeginS.o  .libs/soundmod.o .libs/soundlnx.o .libs/soundsdl.o  -L/usr/local/lib -lSDL -L/usr/lib -lc++ -lm -lc -lgcc -lgcc_s /usr/lib/crtendS.o /usr/lib/crtn.o  -Wl,-rpath -Wl,/usr/local/lib -Wl,-soname -Wl,libbx_soundmod.so.0 -o .libs/libbx_soundmod.so.0.0.0
(cd .libs && rm -f libbx_soundmod.so.0 && ln -s libbx_soundmod.so.0.0.0 libbx_soundmod.so.0)
(cd .libs && rm -f libbx_soundmod.so && ln -s libbx_soundmod.so.0.0.0 libbx_soundmod.so)
creating libbx_soundmod.la
(cd .libs && rm -f libbx_soundmod.la && ln -s ../libbx_soundmod.la libbx_soundmod.la)
gmake[2]: Leaving directory '/wrkdirs/usr/ports/emulators/bochs/work/bochs-2.6.7/iodev/sound'
echo done
done
gmake[1]: *** No rule to make target 'misc/bximage.cc', needed by 'misc/bximage.o'.  Stop.
gmake[1]: Leaving directory '/wrkdirs/usr/ports/emulators/bochs/work/bochs-2.6.7'
*** Error code 1

Stop.
make: stopped in /usr/ports/emulators/bochs
Comment 4 Anton Törnqvist 2015-01-26 21:48:43 UTC
Created attachment 152207 [details]
fixedbochs2.6.7diff

>This does not build with all OPTIONS selected, could you take a look?

fixed:
*removed 'CPP_SUFX' option, don't really need it anyway.
Comment 5 Anton Törnqvist 2015-01-26 21:49:44 UTC
Created attachment 152208 [details]
poudriere-buildlog-10amd64-bochs_2

test with all OPTIONS selected.
Comment 6 Anton Törnqvist 2015-01-28 12:15:58 UTC
Created attachment 152307 [details]
newbochs2.6.7diff

missed warnings about not stripped files.
Comment 7 Anton Törnqvist 2015-01-28 12:16:41 UTC
Created attachment 152308 [details]
poudriere-buildlog-10amd64-bochs_3

and a new test log.
Comment 8 commit-hook freebsd_committer 2015-01-31 09:40:08 UTC
A commit references this bug:

Author: riggs
Date: Sat Jan 31 09:39:49 UTC 2015
New revision: 378194
URL: https://svnweb.freebsd.org/changeset/ports/378194

Log:
  - Update to upstream version 2.6.7
  - New maintainer: Anton T?rnqvist (antont@inbox.lv)

  PR:		197069
  Submitted by:	antont@inbox.lv (maintainer)

Changes:
  head/emulators/bochs/Makefile
  head/emulators/bochs/distinfo
  head/emulators/bochs/files/patch-Makefile.in
  head/emulators/bochs/pkg-plist